Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.epochx.representation.bool
Class AndFunction

    java.lang.Object
      com.epochx.representation.Node<TYPE>
          com.epochx.representation.FunctionNode<java.lang.Boolean>
              com.epochx.representation.bool.AndFunction

All Implemented Interfaces:
  java.lang.Cloneable

    public class AndFunction

extends FunctionNode<java.lang.Boolean>

A `FunctionNode` which performs logical conjunction or the boolean function of AND.

Constructor Summary
`AndFunction()` Construct an AndFunction with no children.
`AndFunction(Node<java.lang.Boolean> child1, Node<java.lang.Boolean> child2)` Construct an AndFunction with two children.

Method Summary
`java.lang.Boolean` | `evaluate()` Evaluating an `AndFunction` involves combining the evaluation of the children according to the rules of AND where if both children evaluate to true then the result will be true.
`java.lang.String` | `getFunctionName()` Get the unique name that identifies this function.

Methods inherited from class com.epochx.representation.FunctionNode
`equals, toString`

Methods inherited from class com.epochx.representation.Node
`clone, getArity, getChild, getChildren, getDepth, getFunctionNodes, getLength, getNodesAtDepth, getNoDistinctFunctions, getNoDistinctTerminals, getNoFunctions, getNoTerminals, getNthNode, getTerminalNodes, hashCode, setChild, setChildren, setNthNode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AndFunction

    public AndFunction()

  Construct an AndFunction with no children.

### AndFunction

    public AndFunction(Node<java.lang.Boolean> child1,
                       Node<java.lang.Boolean> child2)

  Construct an AndFunction with two children. When evaluated, if both children evaluate to true then the result will be true. All other combinations will return a result of false.

  Parameters:
    `child1` - The first child node.
    `child2` - The second child node.

Method Detail

### evaluate

    public java.lang.Boolean evaluate()

  Evaluating an `AndFunction` involves combining the evaluation of the children according to the rules of AND where if both children evaluate to true then the result will be true. All other combinations will return a result of false.

  Specified by:
    `evaluate` in class `Node<java.lang.Boolean>`
  Returns:
    The result of evaluating the candidate program.

### getFunctionName

    public java.lang.String getFunctionName()

  Get the unique name that identifies this function.

  Specified by:
    `getFunctionName` in class `FunctionNode<java.lang.Boolean>`
  Returns:
    the unique name for the AndFunction which is AND.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD